# Clutter::Media Class Reference

Inherits Glib::Interface.

Collaboration diagram for Clutter::Media:
[legend]

List of all members.

## Public Member Functions

virtual | ~Media ()
ClutterMedia* | gobj ()
| Provides access to the underlying C GObject.
const ClutterMedia* | gobj () const
| Provides access to the underlying C GObject.
void | set_uri (const Glib::ustring& uri)
| Sets the URI of media to uri.
Glib::ustring | get_uri () const
| Retrieves the URI from media.
void | set_playing (bool playing=true)
| Starts or stops playing of media.
bool | get_playing () const
| Retrieves the playing status of media.
void | set_progress (double progress)
| Sets the playback progress of media.
double | get_progress () const
| Retrieves the playback progress of media.
void | set_subtitle_uri (const gchar* uri)
| Sets the location of a subtitle file to display while playing media.
std::string | get_subtitle_uri () const
| Retrieves the URI of the subtitle file in use.
void | set_subtitle_font_name (const std::string& font_name)
| Sets the font used by the subtitle renderer.
std::string | get_subtitle_font_name () const
| Retrieves the font name currently used.
void | set_audio_volume (double volume)
| Sets the playback volume of media to volume.
double | get_audio_volume () const
| Retrieves the playback volume of media.
double | get_buffer_percent () const
| Retrieves the amount of the stream that is buffered.
void | set_filename (const Glib::ustring& filename)
| Sets the source of media using a file path.
bool | get_can_seek () const
| Retrieves whether media is seekable or not.
double | get_duration () const
| Retrieves the duration of the media stream that media represents.
Glib::SignalProxy0< void > | signal_eos ()
Glib::PropertyProxy_ReadOnly < double > | property_buffer_fill () const
| The fill level of the buffer.
Glib::PropertyProxy_ReadOnly < bool > | property_can_seek () const
| Whether the current stream is seekable.
Glib::PropertyProxy_ReadOnly < guint > | property_duration () const
| The duration of the stream, in seconds.
Glib::PropertyProxy< bool > | property_playing ()
| Wheter the actor is playing.
Glib::PropertyProxy_ReadOnly < bool > | property_playing () const
| Wheter the actor is playing.
Glib::PropertyProxy< double > | property_progress ()
| Current progress of the playback.
Glib::PropertyProxy_ReadOnly < double > | property_progress () const
| Current progress of the playback.
Glib::PropertyProxy < Glib::ustring > | property_uri ()
| URI of a media file.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_uri () const
| URI of a media file.
Glib::PropertyProxy< double > | property_audio_volume ()
| The volume of the audio.
Glib::PropertyProxy_ReadOnly < double > | property_audio_volume () const
| The volume of the audio.

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Protected Member Functions

virtual void | on_eos ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Clutter::Media > | wrap (ClutterMedia* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::Media::~Media | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Clutter::Media::add_interface | ( | GType | gtype_implementer | ) | `[static]`

double Clutter::Media::get_audio_volume | ( |  | ) | const

Retrieves the playback volume of media.

Since cluttermm 1.0:

Returns:
  The playback volume between 0.0 and 1.0.

double Clutter::Media::get_buffer_percent | ( |  | ) | const

Retrieves the amount of the stream that is buffered.

Since cluttermm 1.0:

Returns:
  The fill level, between 0.0 and 1.0.

bool Clutter::Media::get_can_seek | ( |  | ) | const

Retrieves whether media is seekable or not.

Since cluttermm 0.2:

Returns:
  `true` if media can seek, `false` otherwise.

double Clutter::Media::get_duration | ( |  | ) | const

Retrieves the duration of the media stream that media represents.

Since cluttermm 0.2:

Returns:
  The duration of the media stream, in seconds.

bool Clutter::Media::get_playing | ( |  | ) | const

Retrieves the playing status of media.

Since cluttermm 0.2:

Returns:
  `true` if playing, `false` if stopped.

double Clutter::Media::get_progress | ( |  | ) | const

Retrieves the playback progress of media.

Since cluttermm 1.0:

Returns:
  The playback progress, between 0.0 and 1.0.

std::string Clutter::Media::get_subtitle_font_name | ( |  | ) | const

Retrieves the font name currently used.

Since cluttermm 1.2:

Returns:
  A string containing the font name. Use Glib::free() to free the returned string.

std::string Clutter::Media::get_subtitle_uri | ( |  | ) | const

Retrieves the URI of the subtitle file in use.

Since cluttermm 1.2:

Returns:
  The URI of the subtitle file. Use Glib::free() to free the returned string.

Glib::ustring Clutter::Media::get_uri | ( |  | ) | const

Retrieves the URI from media.

Since cluttermm 0.2:

Returns:
  The URI of the media stream. Use Glib::free() to free the returned string.

const ClutterMedia* Clutter::Media::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

ClutterMedia* Clutter::Media::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

virtual void Clutter::Media::on_eos | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<double> Clutter::Media::property_audio_volume | ( |  | ) | const

The volume of the audio.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::Media::property_audio_volume | ( |  | ) |

The volume of the audio.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::Media::property_buffer_fill | ( |  | ) | const

The fill level of the buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Media::property_can_seek | ( |  | ) | const

Whether the current stream is seekable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Clutter::Media::property_duration | ( |  | ) | const

The duration of the stream, in seconds.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Media::property_playing | ( |  | ) | const

Wheter the actor is playing.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Media::property_playing | ( |  | ) |

Wheter the actor is playing.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::Media::property_progress | ( |  | ) | const

Current progress of the playback.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::Media::property_progress | ( |  | ) |

Current progress of the playback.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Clutter::Media::property_uri | ( |  | ) | const

URI of a media file.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Clutter::Media::property_uri | ( |  | ) |

URI of a media file.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::Media::set_audio_volume | ( | double | volume | ) |

Sets the playback volume of media to volume.

Since cluttermm 1.0:

Parameters:

  | volume | The volume as a double between 0.0 and 1.0.

void Clutter::Media::set_filename | ( | const Glib::ustring & | filename | ) |

Sets the source of media using a file path.

Since cluttermm 0.2:

Parameters:

  | filename | A filename.

void Clutter::Media::set_playing | ( | bool | playing = `true` | ) |

Starts or stops playing of media.

Since cluttermm 0.2:

Parameters:

  | playing | `true` to start playing.

void Clutter::Media::set_progress | ( | double | progress | ) |

Sets the playback progress of media.

The progress is a normalized value between 0.0 (begin) and 1.0 (end).

Since cluttermm 1.0:

Parameters:

  | progress | The progress of the playback, between 0.0 and 1.0.

void Clutter::Media::set_subtitle_font_name | ( | const std::string & | font_name | ) |

Sets the font used by the subtitle renderer.

The font_name string must be either `0`, which means that the default font name of the underlying implementation will be used; or must follow the grammar recognized by pango_font_description_from_string() like:

|[ clutter_media_set_subtitle_font_name (media, "Sans 24pt"); ]|

Since cluttermm 1.2:

Parameters:

  | font_name | A font name, or `0` to set the default font name.

void Clutter::Media::set_subtitle_uri | ( | const gchar * | uri | ) |

Sets the location of a subtitle file to display while playing media.

Since cluttermm 1.2:

Parameters:

  | uri | The URI of a subtitle file.

void Clutter::Media::set_uri | ( | const Glib::ustring & | uri | ) |

Sets the URI of media to uri.

Since cluttermm 0.2:

Parameters:

  | uri | The URI of the media stream.

Glib::SignalProxy0< void > Clutter::Media::signal_eos | ( |  | ) |

Prototype:
  `void on_my_eos()`

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Media > wrap | ( | ClutterMedia * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/media.h